Tasks
To-dos with a status, priority, due date and assignees.
List tasks
GET
/tasksScope
tasks:viewRead-onlyQuery parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/tasks?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a task
POST
/tasksScope
tasks:useWrites dataRequest body
| Field | Type |
|---|---|
title | string |
text | string |
status | string |
priority | string |
dueDate | string |
assignees | array of string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/tasks" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"title":"Call back about the renewal quote","text":"Asked for a call after 6pm."}'Get a task by id
GET
/tasks/{id}Scope
tasks:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/tasks/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a task
PATCH
/tasks/{id}Scope
tasks:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
title | string |
text | string |
status | string |
priority | string |
dueDate | string |
assignees | array of string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/tasks/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"title":"…","text":"…","status":"…","priority":"…","dueDate":"…","assignees":["…"]}'Delete a task
DELETE
/tasks/{id}Scope
tasks:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/tasks/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"